﻿/*************************************\
 *               Menüs               *
 *                                   *
 * Kapitel: Windows Forms            *
 * Zuordnung: C#-Buch V2.0 9.10      *
 *                                   *
 *  Copyright 2015 by Benjamin Jung  *
\*************************************/
using System;
using System.Windows.Forms;

namespace CSV20.WinForm_Menüs
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void menuStripFenster_ItemClicked(object sender, EventArgs e)
        {
            ToolStripMenuItem oMenuItem = (ToolStripMenuItem)sender;
            ToolStripMenuItem oMenuItemParent = (ToolStripMenuItem)oMenuItem.OwnerItem;
            ToolStripMenuItem oMenuItemParentParent = (ToolStripMenuItem)oMenuItemParent.OwnerItem;

            // falls Beenden-ToolStrip angeklickt wurde, Fenster schließen
            if (oMenuItem == beendenToolStripMenuItem)
                Close();

            // Ausgabe der geklickten Hierarchie (oMenuItemParentParent kann null sein, wenn Hierarchie nur aus 2 Elementen besteht)
            if (oMenuItemParentParent == null)
                MessageBox.Show("Sie haben auf \"" + oMenuItemParent.Text + "\" -> \"" + oMenuItem.Text + "\" geklickt!");
            else
                MessageBox.Show("Sie haben auf \"" + oMenuItemParentParent.Text + "\" -> \"" + oMenuItemParent.Text + "\" -> \"" + oMenuItem.Text + "\" geklickt!");
        }

        private void contextMenuStripButton_ItemClicked(object sender, EventArgs e)
        {
            if (sender == minimierenToolStripMenuItem)
                this.WindowState = FormWindowState.Minimized;
            else
                Close();
        }
    }
}